package com.huimv.production.autoGetData.controller;

import com.huimv.production.autoGetData.service.IAutoGetErpData;
import com.huimv.production.autoGetData.service.impl.AutoGetErpDataImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.io.IOException;
import java.text.ParseException;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@RestController
@RequestMapping(value = "/data")
public class DataControll {
    @Autowired
    private IAutoGetErpData autoGetErpData;

    @RequestMapping(value = "/getToken",method = RequestMethod.GET)
    public void getToken() throws IOException {
        //
        autoGetErpData.getRemoteToken();
    }

    @RequestMapping(value = "/getManyFarmProduce",method = RequestMethod.GET)
    public void getManyFarmProduce() throws IOException {
        //
        autoGetErpData.getManyFarmProduce();
    }

    @RequestMapping(value = "/getManyFarmStock",method = RequestMethod.GET)
    public void getManyFarmStock() throws IOException {
        //
        autoGetErpData.getManyFarmStock();
    }

    @RequestMapping(value = "/getCostWithManyFarm",method = RequestMethod.GET)
    public void getCostWithManyFarm() throws IOException, ParseException {
        //
        autoGetErpData.getCostWithManyFarm();
    }
}
