package com.huimv.production.autoGetData.utils;

import com.huimv.production.autoGetData.service.IAutoGetErpData;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.io.IOException;
import java.text.ParseException;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@SpringBootTest
public class AutoGetDataTEst {
    @Autowired
    private IAutoGetErpData autoGetErpData;

    //测试预警数据
    @Test
    public void testGetWarningMessage() throws IOException, ParseException {
        //
        autoGetErpData.getWarningMessage();
    }

    //测试成本
    @Test
    public void testGetCostWithManyFarm() throws IOException, ParseException {
        //
        autoGetErpData.getCostWithManyFarm();
    }

    //测试存栏
    @Test
    public void testGetManyFarmStock() throws IOException {
        //
        autoGetErpData.getManyFarmStock();
    }

    //测试生产
    @Test
    public void testGetManyFarmProduce() throws IOException {
        //
        autoGetErpData.getManyFarmProduce();
    }

    @Test
    public void testIndexOf(){
        String name = "武义本生二";

        String name2 = "本生二";
        System.out.println(name.indexOf(name2));
    }

    //测试从ERP工作计划接口取数
    @Test
    public void testGetWorkPlan() throws IOException, ParseException {
        //
        autoGetErpData.getWorkPlan();
    }

    //测试从待分娩、待配种、待断奶接口取数
    @Test
    public void testGetPrepareStatusQuantity() throws IOException, ParseException {
        //
        autoGetErpData.getPrepareStatusQuantity();
    }

    //测试从应付接口取数（无数据）
    @Test
    public void testGetPayable() throws IOException, ParseException {
        //
        autoGetErpData.getPayable();
    }

    //测试从销售接口取数
    @Test
    public void testGetSales() throws IOException, ParseException {
        //
        autoGetErpData.getSales();
    }

    @Test
    public void testManyFarmPsy() throws IOException {
        //
        autoGetErpData.getManyFarmPsy();
    }

    //多牧场分娩率
    @Test
    public void testManyFarmGetParturitionRate() throws IOException {
        //
        autoGetErpData.getManyFarmParturitionRate();
    }



}
